%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate ipnet

Name:           rust-ipnet
Version:        2.9.0
Release:    1%{?dist}
Summary:        Types and useful methods for working with IP prefixes

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/ipnet
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Provides types and useful methods for working with IPv4 and IPv6 network
addresses, commonly called IP prefixes. The new `IpNet`, `Ipv4Net`, and
`Ipv6Net` types build on the existing `IpAddr`, `Ipv4Addr`, and
`Ipv6Addr` types already provided in Rust's standard library and align
to their design to stay consistent. The module also provides useful
traits that extend `Ipv4Addr` and `Ipv6Addr` with methods for `Add`,
`Sub`, `BitAnd`, and `BitOr` operations. The module only uses stable
feature so it is guaranteed to compile using the stable toolchain.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/RELEASES.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+heapless-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+heapless-devel %{_description}

This package contains library source intended for building other packages which
use the "heapless" feature of the "%{crate}" crate.

%files       -n %{name}+heapless-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ser_as_str-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ser_as_str-devel %{_description}

This package contains library source intended for building other packages which
use the "ser_as_str" feature of the "%{crate}" crate.

%files       -n %{name}+ser_as_str-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.0-1
- initial build
